EchoRenderer
Date: 2019-10-22

org.jmol.render

## Class EchoRenderer

- java.lang.Object
- - org.jmol.render.ShapeRenderer
  - - org.jmol.render.FontLineShapeRenderer
    - - org.jmol.render.LabelsRenderer
      - - org.jmol.render.EchoRenderer

-     public class EchoRenderer
      extends LabelsRenderer

- - ### Field Summary

    - ### Fields inherited from class org.jmol.render.LabelsRenderer

      `ascent, atomPt, bgcolix, descent, fidPrevious, labelColix, minZ, pTemp, sppm, textAlign, xy, zSlab`

    - ### Fields inherited from class org.jmol.render.FontLineShapeRenderer

      `asLineOnly, colixA, colixB, dashDots, dashes, dotsOrDashes, draw000, endcap, font3d, fourdots, hDashes, imageFontScaling, ndots, pointT, pointT2, pointT3, pt0, pt0i, pt1, pt2i, s1, s2, sixdots, tickA, tickAs, tickB, tickBs, tickInfo, twodots, vectorT, vectorT2, vectorT3, width`

    - ### Fields inherited from class org.jmol.render.ShapeRenderer

      `colix, exportType, g3d, isExport, mad, ms, myVisibilityFlag, shape, shapeID, tm, vwr`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `EchoRenderer()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected boolean` | `render()`
    `private void` | `renderFrameTitle(java.lang.String frameTitle)`

    - ### Methods inherited from class org.jmol.render.LabelsRenderer

      `renderLabelOrMeasure`

    - ### Methods inherited from class org.jmol.render.FontLineShapeRenderer

      `checkTickTemps, drawDashed, drawLine, drawLine2, drawString, drawTicks, fillCylinder, getDiameter, renderLine`

    - ### Methods inherited from class org.jmol.render.ShapeRenderer

      `initRenderer, isVisibleForMe, renderShape, setup, setViewerG3dShapeID`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### EchoRenderer

          public EchoRenderer()

  - ### Method Detail

    - #### render

          protected boolean render()

      Overrides:
        `render` in class `LabelsRenderer`

    - #### renderFrameTitle

          private void renderFrameTitle(java.lang.String frameTitle)